//
//  GSFilterPropertiesController.h
//  GlyphsCore
//
//  Created by Georg Seifert on 01.05.16.
//  Copyright © 2016 schriftgestaltung.de. All rights reserved.
//

#import <GlyphsCore/GSDialogController.h>
#import <Cocoa/Cocoa.h>
@class GSFont;

@interface GSFilterPropertiesController : NSViewController <GSDialogDelegateProtocol> {
	NSPredicate *_initialPredicate;
}

@property (weak) IBOutlet NSTextField *nameTextField;
@property (weak) IBOutlet NSPredicateEditor *predicateEditor;
@property (weak) IBOutlet NSLayoutConstraint *predicateHeightConstrain;
@property (nonatomic) NSPredicate *predicate;

- (instancetype)initWithFont:(GSFont *)font;

- (void)predicateChanged:(NSNotification *)notification;
@end
